Menu

## CharacterRepository extends EntityRepository
in package

CharacterRepository.php : 16

Convenience methods to query for characters.

### Table of Contents

INCLUDE_SOFTDELETED = 1
ONLY_SOFTDELETED = 2
SKIP_SOFTDELETED = 0
find() : mixed
  Find a character by ID, excluding soft deleted ones.
findAll() : mixed
  Return all characters.
findWithSoftDeleted() : mixed|null
  Finds a character id ID, including soft deleted ones.
modifyQuery() : mixed
  Change the provided query to handle the specified deletion mode.

### Constants

#### INCLUDE_SOFTDELETED

CharacterRepository.php : 19
`public mixed INCLUDE_SOFTDELETED = 1`

#### ONLY_SOFTDELETED

CharacterRepository.php : 20
`public mixed ONLY_SOFTDELETED = 2`

#### SKIP_SOFTDELETED

CharacterRepository.php : 18
`public mixed SKIP_SOFTDELETED = 0`

### Methods

#### find()

CharacterRepository.php : 51

Find a character by ID, excluding soft deleted ones.

`public find(mixed $id[, mixed|null $lockMode = null ][, mixed|null $lockVersion = null ]) : mixed`

##### Parameters

$id : mixed
$lockMode : mixed|null = null
$lockVersion : mixed|null = null

##### Return values

mixed —

#### findAll()

CharacterRepository.php : 96

Return all characters.

`public findAll([int $deletes = self::SKIP_SOFTDELETED ]) : mixed`

##### Parameters

$deletes : int = self::SKIP_SOFTDELETED

##### Return values

mixed —

#### findWithSoftDeleted()

CharacterRepository.php : 75

Finds a character id ID, including soft deleted ones.

`public findWithSoftDeleted( $id) : mixed|null`

##### Parameters

$id :

##### Tags

throws
  NonUniqueResultException

##### Return values

mixed|null —

#### modifyQuery()

CharacterRepository.php : 25

Change the provided query to handle the specified deletion mode.

`protected modifyQuery(QueryBuilder $queryBuilder, int $deletes) : mixed`

##### Parameters

$queryBuilder : QueryBuilder
$deletes : int

##### Return values

mixed —

## Search results